gi-gdkx11-3.0.2: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11Keymap

Contents

- Exported types
- Methods
  - getGroupForState
  - keyIsModifier

Description

No description available in the introspection data.

Synopsis

- newtype X11Keymap = X11Keymap (ManagedPtr X11Keymap)
- class GObject o => IsX11Keymap o
- toX11Keymap :: (MonadIO m, IsX11Keymap o) => o -> m X11Keymap
- noX11Keymap :: Maybe X11Keymap
- x11KeymapGetGroupForState :: (HasCallStack, MonadIO m, IsX11Keymap a) => a -> Word32 -> m Int32
- x11KeymapKeyIsModifier :: (HasCallStack, MonadIO m, IsX11Keymap a) => a -> Word32 -> m Bool

# Exported types

newtype X11Keymap Source #

Memory-managed wrapper type.

Constructors

X11Keymap (ManagedPtr X11Keymap) |

Instances

GObject X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap Methods gobjectType :: X11Keymap -> IO GType Source #
IsKeymap X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap
IsObject X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap
IsX11Keymap X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap

class GObject o => IsX11Keymap o Source #

Type class for types which can be safely cast to `X11Keymap`, for instance with `toX11Keymap`.

Instances

(GObject a, (UnknownAncestorError X11Keymap a :: Constraint)) => IsX11Keymap a Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap
IsX11Keymap X11Keymap Source # |
Instance details Defined in GI.GdkX11.Objects.X11Keymap

toX11Keymap :: (MonadIO m, IsX11Keymap o) => o -> m X11Keymap Source #

Cast to `X11Keymap`, for types for which this is known to be safe. For general casts, use `castTo`.

noX11Keymap :: Maybe X11Keymap Source #

A convenience alias for `Nothing` :: `Maybe` `X11Keymap`.

# Methods

## getGroupForState

x11KeymapGetGroupForState Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Keymap a) |
=> a | `keymap`: a `X11Keymap`
-> Word32 | `state`: raw state returned from X
-> m Int32 | Returns: the index of the active keyboard group for the event

Extracts the group from the state field sent in an X Key event. This is only needed for code processing raw X events, since `EventKey` directly includes an is_modifier field.

Since: 3.6

## keyIsModifier

x11KeymapKeyIsModifier Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Keymap a) |
=> a | `keymap`: a `X11Keymap`
-> Word32 | `keycode`: the hardware keycode from a key event
-> m Bool | Returns: `True` if the hardware keycode is a modifier key

Determines whether a particular key code represents a key that is a modifier. That is, it’s a key that normally just affects the keyboard state and the behavior of other keys rather than producing a direct effect itself. This is only needed for code processing raw X events, since `EventKey` directly includes an is_modifier field.

Since: 3.6